# pandas.Timestamp.day_name

Timestamp.day_name()

  Return the day name of the Timestamp with specified locale.

  Parameters
    locale str, default None (English locale)

      Locale determining the language in which to return the day name.

  Returns
    str

  Examples

      >>> ts = pd.Timestamp('2020-03-14T15:32:52.192548651')
      >>> ts.day_name()
      'Saturday'

  Analogous for `pd.NaT`:

      >>> pd.NaT.day_name()
      nan